Debian Bug report logs - #556509
FTBFS with binutils-gold

version graph

Package: src:tuxpaint; Maintainer for src:tuxpaint is Ben Armstrong <synrg@sanctuary.nslug.ns.ca>;

Reported by: Peter Fritzsche <peter.fritzsche@gmx.de>

Date: Mon, 16 Nov 2009 13:43:53 UTC

Severity: serious

Tags: patch, sid, upstream, wheezy

Found in version tuxpaint/1:0.9.21-1

Fixed in version tuxpaint/1:0.9.21-1.1

Done: Ana Beatriz Guerrero Lopez <ana@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Bug#556509; Package src:tuxpaint. (Mon, 16 Nov 2009 13:43:56 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Fritzsche <peter.fritzsche@gmx.de>:
New Bug report received and forwarded. Copy sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>. (Mon, 16 Nov 2009 13:43:56 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Peter Fritzsche <peter.fritzsche@gmx.de>
To: maintonly@bugs.debian.org
Subject: FTBFS with binutils-gold
Date: Mon, 16 Nov 2009 11:15:29 +0100
Source: tuxpaint
Version: 1:0.9.21-1
Severity: minor
User: peter.fritzsche@gmx.de
Usertags: no-add-needed

Tried to build your package and it fails to build with GNU binutils-gold. The
important difference is that --no-add-needed is the default behavior of of GNU
binutils-gold. Please provide all needed libraries to the linker when building
your executables.

Objects inside an .a archive aren't linked yet. This means that you must resolve
their symbols when linking them to a program.

More informations can be found at
 http://wiki.debian.org/qa.debian.org/FTBFS#A2009-11-02Packagesfailingbecausebinutils-gold.2BAC8-indirectlinking

...Linking Tux Paint...
cc  -O2 -W -Wall -fno-common -ffloat-store -fvisibility=hidden -Wcast-align -Wredundant-decls -Wbad-function-cast -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wstrict-aliasing=2  -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -I/usr/include/fribidi   -DVER_DATE=\"2009-11-16\" -DVER_VERSION=\"0.9.21\" -DDATA_PREFIX=\"/usr/share/tuxpaint/\" -DDOC_PREFIX=\"/usr/share/doc/tuxpaint/\" -DLOCALEDIR=\"/usr/share/locale/\" -DIMDIR=\"/usr/share/tuxpaint/im/\" -DCONFDIR=\"/etc/tuxpaint/\" -DMAGIC_PREFIX=\"/usr/lib/tuxpaint/plugins/\"      \
		-o tuxpaint obj/tuxpaint.o obj/i18n.o obj/im.o obj/cursor.o obj/pixels.o obj/rgblinear.o obj/playsound.o obj/fonts.o obj/progressbar.o obj/dirwalk.o obj/get_fname.o obj/postscript_print.o \
		-L/usr/lib -lSDL -lSDL_image -lSDL_ttf -lSDL_mixer -lSDL_Pango -lrsvg-2 -lgdk_pixbuf-2.0 -lm -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -lcairo   -lpaper -lfribidi  
/usr/bin/ld: obj/tuxpaint.o: in function do_png_save:tuxpaint.c(.text+0x76d0): error: undefined reference to 'png_create_write_struct'
/usr/bin/ld: obj/tuxpaint.o: in function do_png_save:tuxpaint.c(.text+0x76e9): error: undefined reference to 'png_create_info_struct'
/usr/bin/ld: obj/tuxpaint.o: in function do_png_save:tuxpaint.c(.text+0x7721): error: undefined reference to 'png_init_io'
/usr/bin/ld: obj/tuxpaint.o: in function do_png_save:tuxpaint.c(.text+0x7777): error: undefined reference to 'png_set_sRGB_gAMA_and_cHRM'
/usr/bin/ld: obj/tuxpaint.o: in function do_png_save:tuxpaint.c(.text+0x77b0): error: undefined reference to 'png_set_text'
/usr/bin/ld: obj/tuxpaint.o: in function do_png_save:tuxpaint.c(.text+0x77c5): error: undefined reference to 'png_write_info'
/usr/bin/ld: obj/tuxpaint.o: in function do_png_save:tuxpaint.c(.text+0x787c): error: undefined reference to 'png_write_image'
/usr/bin/ld: obj/tuxpaint.o: in function do_png_save:tuxpaint.c(.text+0x78c4): error: undefined reference to 'png_write_end'
/usr/bin/ld: obj/tuxpaint.o: in function do_png_save:tuxpaint.c(.text+0x78d9): error: undefined reference to 'png_destroy_write_struct'
/usr/bin/ld: obj/tuxpaint.o: in function do_png_save:tuxpaint.c(.text+0x7905): error: undefined reference to 'png_destroy_write_struct'
collect2: ld returned 1 exit status
make[1]: *** [tuxpaint] Error 1
make[1]: Leaving directory `/home/peter/rebuild/build/tuxpaint/tuxpaint-0.9.21'




Severity set to 'important' from 'minor' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Thu, 24 Feb 2011 13:23:29 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 28 Feb 2011 14:29:54 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Sun, 01 May 2011 11:17:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Bug#556509; Package src:tuxpaint. (Sat, 17 Sep 2011 16:46:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Georgios M. Zarkadas" <georgios.zarkadas@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>. (Sat, 17 Sep 2011 16:46:13 GMT) Full text and rfc822 format available.

Message #16 received at 556509@bugs.debian.org (full text, mbox):

From: "Georgios M. Zarkadas" <georgios.zarkadas@gmail.com>
To: 556509@bugs.debian.org
Cc: control <control@bugs.debian.org>
Subject: Patch to address this issue
Date: Sat, 17 Sep 2011 19:43:19 +0300
[Message part 1 (text/plain, inline)]
tags 556509 + patch
tags 556509 + upstream
thanks

The attached patch seems to resolve the issue. The package built
succesfully after applying it, inside a pbuilder chroot with
EXTRAPACKAGES="binutils-gold", on an amd64 system.

The patch modifies just the Makefile. It is thus IMO an upstream issue,
so I took the liberty to add also the upstream tag. 

I attach the build log also, FYI. The lines demonstrating the correction
are 953-957 (the log grew somewhat big due to my chain of hook scripts).

regards
George Zarkadas

PS: As a sidenote, the only upstream-targeted OS that now does not
include the png library as a link target is OS-X; they may want to check
whether it is needed there also.
[correct-ftbfs.patch (text/x-patch, attachment)]
[tuxpaint_0.9.21-1_amd64.build.tar.bz2 (application/x-bzip-compressed-tar, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from "Georgios M. Zarkadas" <georgios.zarkadas@gmail.com> to control@bugs.debian.org. (Sat, 17 Sep 2011 16:46:14 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from "Georgios M. Zarkadas" <georgios.zarkadas@gmail.com> to control@bugs.debian.org. (Sat, 17 Sep 2011 16:46:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Bug#556509; Package src:tuxpaint. (Sun, 04 Dec 2011 13:43:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Beatriz Guerrero Lopez <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>. (Sun, 04 Dec 2011 13:43:31 GMT) Full text and rfc822 format available.

Message #25 received at 556509@bugs.debian.org (full text, mbox):

From: Ana Beatriz Guerrero Lopez <ana@debian.org>
To: 556509@bugs.debian.org
Subject: tuxpaint: diff for NMU version 1:0.9.21-1.1
Date: Sun, 4 Dec 2011 14:42:03 +0100
[Message part 1 (text/plain, inline)]
tags 556509 + patch pending
thanks

Dear maintainer,

I've prepared an NMU for tuxpaint (versioned as 1:0.9.21-1.1) and
uploaded it. Please find attached the diff.

Regards,
Ana
[tuxpaint-0.9.21-1.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Ana Beatriz Guerrero Lopez <ana@debian.org> to control@bugs.debian.org. (Sun, 04 Dec 2011 13:43:43 GMT) Full text and rfc822 format available.

Reply sent to Ana Beatriz Guerrero Lopez <ana@debian.org>:
You have taken responsibility. (Sun, 04 Dec 2011 15:39:24 GMT) Full text and rfc822 format available.

Notification sent to Peter Fritzsche <peter.fritzsche@gmx.de>:
Bug acknowledged by developer. (Sun, 04 Dec 2011 15:39:25 GMT) Full text and rfc822 format available.

Message #32 received at 556509-close@bugs.debian.org (full text, mbox):

From: Ana Beatriz Guerrero Lopez <ana@debian.org>
To: 556509-close@bugs.debian.org
Subject: Bug#556509: fixed in tuxpaint 1:0.9.21-1.1
Date: Sun, 04 Dec 2011 15:35:14 +0000
Source: tuxpaint
Source-Version: 1:0.9.21-1.1

We believe that the bug you reported is fixed in the latest version of
tuxpaint, which is due to be installed in the Debian FTP archive:

tuxpaint-data_0.9.21-1.1_all.deb
  to main/t/tuxpaint/tuxpaint-data_0.9.21-1.1_all.deb
tuxpaint-dev_0.9.21-1.1_all.deb
  to main/t/tuxpaint/tuxpaint-dev_0.9.21-1.1_all.deb
tuxpaint-plugins-default_0.9.21-1.1_amd64.deb
  to main/t/tuxpaint/tuxpaint-plugins-default_0.9.21-1.1_amd64.deb
tuxpaint_0.9.21-1.1.diff.gz
  to main/t/tuxpaint/tuxpaint_0.9.21-1.1.diff.gz
tuxpaint_0.9.21-1.1.dsc
  to main/t/tuxpaint/tuxpaint_0.9.21-1.1.dsc
tuxpaint_0.9.21-1.1_amd64.deb
  to main/t/tuxpaint/tuxpaint_0.9.21-1.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 556509@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ana Beatriz Guerrero Lopez <ana@debian.org> (supplier of updated tuxpaint package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 04 Dec 2011 14:04:49 +0100
Source: tuxpaint
Binary: tuxpaint tuxpaint-plugins-default tuxpaint-dev tuxpaint-data
Architecture: source all amd64
Version: 1:0.9.21-1.1
Distribution: unstable
Urgency: low
Maintainer: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
Changed-By: Ana Beatriz Guerrero Lopez <ana@debian.org>
Description: 
 tuxpaint   - A paint program for young children
 tuxpaint-data - Data files for Tux Paint, a paint program for children
 tuxpaint-dev - Development files for Tux Paint
 tuxpaint-plugins-default - Magic tool plugins for Tux Paint
Closes: 556509
Changes: 
 tuxpaint (1:0.9.21-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with binutils-gold. Thanks to Georgios M. Zarkadas for the
     patch. (Closes: #556509)
Checksums-Sha1: 
 6eefc8a4b8eb02d63127c30198617faef9f4871b 2113 tuxpaint_0.9.21-1.1.dsc
 aa18bac748434e53b3f04563c5b144c95ac85a03 11098 tuxpaint_0.9.21-1.1.diff.gz
 4b067fd8b858798594f8f05d67ee5ef7f064793e 52166 tuxpaint-dev_0.9.21-1.1_all.deb
 9df6873d6b23088b65e1eb343fe7c3202e34ed64 3054550 tuxpaint-data_0.9.21-1.1_all.deb
 beb3985f640283b1649b6696d48b3cd021c3b8ef 184280 tuxpaint_0.9.21-1.1_amd64.deb
 86c7885b679f954b02c717d3c75043713c5f2548 911248 tuxpaint-plugins-default_0.9.21-1.1_amd64.deb
Checksums-Sha256: 
 0ef0a92e0c2ec5c79d80bb3808d192ebffa1b31ae4164e1286d750b84629c131 2113 tuxpaint_0.9.21-1.1.dsc
 5fb23260664fc95db0599b3cb45395cce518198e5bd49b8f9f2804f150d7b5af 11098 tuxpaint_0.9.21-1.1.diff.gz
 26f01577ff7553cf3213e7dab35c31a3a855d1f2ec537826501c62177c871d66 52166 tuxpaint-dev_0.9.21-1.1_all.deb
 bc0ae81c76a6e9bddf18a6ad2c51a8bbc5419a609756b9534aae8cbfcdafab26 3054550 tuxpaint-data_0.9.21-1.1_all.deb
 746505eb469c5ecb7bf655b00a0a1eff806224270280a9f2647649bf743cbfa9 184280 tuxpaint_0.9.21-1.1_amd64.deb
 46d0164673ee9acaa01c1a613ddbf31f0adda7ba18fc87c2b0a77e7ee406b98e 911248 tuxpaint-plugins-default_0.9.21-1.1_amd64.deb
Files: 
 4084e51bad50e6e58b1dbe44326ba311 2113 graphics optional tuxpaint_0.9.21-1.1.dsc
 1101ca26beb720d930fb461a872b8424 11098 graphics optional tuxpaint_0.9.21-1.1.diff.gz
 b0c251b5b02cb46927fa72ec826d75ef 52166 graphics optional tuxpaint-dev_0.9.21-1.1_all.deb
 e758cdd47a8678db3c1980e9f8ed82b8 3054550 graphics optional tuxpaint-data_0.9.21-1.1_all.deb
 83e354d8b625a863adcec0494a994bb7 184280 graphics optional tuxpaint_0.9.21-1.1_amd64.deb
 a05ea7c995ed767b6d2f5381f728ef25 911248 graphics optional tuxpaint-plugins-default_0.9.21-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Signed by Ana Guerrero

iQIcBAEBCAAGBQJO230AAAoJELNGT4lqoVlIAvwP/0u5XupiczwRcwDuH8oFyuFx
ejgeitJNLYZJYKnmR9zz2CYYhKOp3WxH+daJOBDVBezVn1pReNrnBMmlYwsWzP5S
FKPtSLn02z2MM7s7fnpsYfUNYzpdBNTWWM7IcWM8zi5z92mxUnnI0euy3kpUCWqQ
Od6rnqm5Yu2ft5WLF2g2KubHXbm2Pvg3q5Sj2xHIGIuSWQlBsaaOLwCQll+CMAw5
2SsvN1uqnHLM8aYJCc9sTVKh3JNy9HwjPoJ6yZsM9ghg9drvGwb4jG4qBGaWGjo6
LYEbfkCjoQfw1r7dI5hCgs0ewofsZA24Zoeook6JWClZrKVOKSEsuTRSgMZUPUb4
bHfo/aUbY7jwu88bjNNkCUyiNPQXEpTN1Pxts8kKZGu+a5HaCUzx6U7P+bnR7rzq
PqikQSe7Gc+CW4oYDzmMRZMRDyNX0VyHQQItokugKpLRS20Ih5hdhUiXttChBKgx
1IsgtZA2I8R/4eNTV107A5nDOQ/Jav0wKHawgoboIYFd2MDDFrIyM1nIb/u+dO3t
wlWJtAEM94ikRE0UvYEwqz0Ht+h5NBFyMPMIPaZMYdibFy/VLe2jY6KnubIc0chV
H7ejsvmnF3ltWjKi52tjM8Hob8bt/v7Aw4HoF6b9qUkuPkQLmLc0eg4ym1Kg/3a6
dovnffgTaZQ+yobaISe6
=Km/L
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 07:43:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 20:04:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.